Affiliates
Affiliates are the partners who promote your product. Manage their profiles, track performance, and view statistics.
List Affiliates
GET
/v1/affiliatescurl
curl -X GET https://api.icodrip.com/v1/affiliates \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \ -H "Content-Type: application/json"
Create Affiliate
POST
/v1/affiliatescurl
curl -X POST https://api.icodrip.com/v1/affiliates \
-H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"email": "partner@example.com",
"name": "Jane Doe",
"program_id": "prog_01HXYZ"
}'Get Affiliate
GET
/v1/affiliates/:idcurl
curl -X GET https://api.icodrip.com/v1/affiliates/aff_01HXYZ \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \ -H "Content-Type: application/json"
Update Affiliate
PATCH
/v1/affiliates/:idcurl
curl -X PATCH https://api.icodrip.com/v1/affiliates/aff_01HXYZ \
-H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Smith"
}'Delete Affiliate
DELETE
/v1/affiliates/:idcurl
curl -X DELETE https://api.icodrip.com/v1/affiliates/aff_01HXYZ \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx"
Get Affiliate Stats
GET
/v1/affiliates/:id/statscurl
curl -X GET https://api.icodrip.com/v1/affiliates/aff_01HXYZ/stats \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \ -H "Content-Type: application/json"